Package mvpa :: Package featsel :: Module base :: Class FeatureSelectionPipeline

[hide private]
[frames] | no frames]

# Class FeatureSelectionPipeline

source code

Feature elimination through the list of FeatureSelection's.

Given as list of FeatureSelections it applies them in turn.

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, feature_selections, **kwargs) Initialize feature selection pipeline | source code

untrain(self) 'Untrain' feature selection | source code

__call__(self, dataset, testdataset=None, **kwargs) Invocation of the feature selection | source code

Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| feature_selections = `property(fget= lambda self: self.__featur`...``
Inherited from `FeatureSelection`: `selected_ids` Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Instance Variables | [hide private]

| __feature_selections Selectors to use in turn
| nfeatures Number of features at each step (before running selection)

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, feature_selections, **kwargs)
(Constructor)

source code

Initialize feature selection pipeline

Parameters:
  - `feature_selections` (lisf of FeatureSelection) - selections which to use. Order matters
Overrides: object.__init__

### untrain(self)

source code

'Untrain' feature selection

Necessary for full 'untraining' of the classifiers. By default does nothing, needs to be overridden in corresponding feature selections to pass to the sensitivities

Overrides: FeatureSelection.untrain
  (inherited documentation)

### __call__(self, dataset, testdataset=None, **kwargs)
(Call operator)

source code

Invocation of the feature selection

Parameters:
  - `dataset` - dataset used to select features
  - `testdataset` - dataset the might be used to compute a stopping criterion
Overrides: FeatureSelection.__call__

Class Variable Details | [hide private]

### feature_selections

Value:

      property(fget= lambda self: self.__feature_selections, doc= "List of `
      FeatureSelections`")